Public Interface ISyncUsers
    Function SyncUsers(GroupName As String, Users As List(Of ADUser), PropertyMapping As List(Of AttributeMapping)) As List(Of ADUser)
    Function GetGroupId(GroupName As String) As Integer
    Function GetUserId(UserName As String) As Integer
    Function CreateUser(User As ADUser) As Integer
    Function AddUserToGroup(UserId As Integer, GroupId As Integer) As Boolean
    Sub AddCustomAttributesToUser(User As ADUser, UserId As Integer)
End Interface
